Skip to content
Soljio Docs
Esc
↑↓navigate↵open⌘Jpreview

List instructor private lesson hours where lesson types let instructors maintain their own availability.

List instructor private lesson hours where lesson types let instructors maintain their own availability. An organization-scoped read using JSON filter arguments; requires private_lessons.read. Pagination cursors must be reused only with the same organization, operation and filters.

POST/queries/list_private_lesson_instructor_hours
Authorization
AuthorizationBearer token (soljio_sk_<secret>) · headerrequired

Organization-scoped service token created by an owner/admin. Scope requirements are in x-required-scopes; these are service-token grants, not OAuth scopes. Revoked, expired, unknown and suspended-organization credentials all return 401.

Request body
requiredapplication/json
object
Responses
200

Successful read.

dataobject[]required
Show properties
Array of object
exceptionsobject[]required
Show properties
Array of object
datestringrequired
windowsobject[]required
Show properties
Array of object
end_minutenumberrequired
start_minutenumberrequired
instructor_idstringrequired

Opaque Soljio resource ID.

min length 1
instructor_namestringrequired
location_idstringrequired

Opaque Soljio resource ID.

min length 1
location_namestringrequired
timezonestringrequired
windowsobject[]required
Show properties
Array of object
end_minutenumberrequired
start_minutenumberrequired
weekdaynumberrequired
request_idstring<uuid>required
400

invalid_request

errorobjectrequired
Show properties
codestringrequired
Allowed:invalid_request
messagestringrequired
request_idstring<uuid>required
401

unauthorized

errorobjectrequired
Show properties
codestringrequired
Allowed:unauthorized
messagestringrequired
request_idstring<uuid>required
403

forbidden

errorobjectrequired
Show properties
codestringrequired
Allowed:forbidden
messagestringrequired
request_idstring<uuid>required
404

not_found

errorobjectrequired
Show properties
codestringrequired
Allowed:not_found
messagestringrequired
request_idstring<uuid>required
405

method_not_allowed

errorobjectrequired
Show properties
codestringrequired
Allowed:method_not_allowed
messagestringrequired
request_idstring<uuid>required
409

conflict, idempotency_conflict

errorobjectrequired
Show properties
codestringrequired
Allowed:conflictidempotency_conflict
messagestringrequired
request_idstring<uuid>required
413

payload_too_large

errorobjectrequired
Show properties
codestringrequired
Allowed:payload_too_large
messagestringrequired
request_idstring<uuid>required
415

unsupported_media_type

errorobjectrequired
Show properties
codestringrequired
Allowed:unsupported_media_type
messagestringrequired
request_idstring<uuid>required
429

rate_limited

errorobjectrequired
Show properties
codestringrequired
Allowed:rate_limited
messagestringrequired
request_idstring<uuid>required
500

internal_error

errorobjectrequired
Show properties
codestringrequired
Allowed:internal_error
messagestringrequired
request_idstring<uuid>required
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://api.soljio.com/v0/queries/list_private_lesson_instructor_hours' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{}'
Response
{
  "data": [
    {
      "exceptions": [
        {
          "date": "string",
          "windows": [
            {
              "end_minute": 0,
              "start_minute": 0
            }
          ]
        }
      ],
      "instructor_id": "string",
      "instructor_name": "string",
      "location_id": "string",
      "location_name": "string",
      "timezone": "string",
      "windows": [
        {
          "end_minute": 0,
          "start_minute": 0,
          "weekday": 0
        }
      ]
    }
  ],
  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}